chroma_demo_flow:
  _target_: flow_modules.aiflows.VectorStoreFlowModule.ChromaDBFlow.instantiate_from_default_config
  
  name: chroma_db
  description: ChromaDB is a document store that uses vector embeddings to store and retrieve documents
  backend:
    _target_: aiflows.backends.llm_lite.LiteLLMBackend
    api_infos: ???
    model_name: ''
  similarity_search_kwargs:
    k: 2
    filter: null 
  input_interface:
    - operation
    - content
  output_interface:
    - retrieved
  paths_to_data:
    - ./data/paul_graham_essay.txt
  chunk_size: 300
  chunk_overlap: 0
  persist_directory: ./demo_db_dir



vector_store_demo_flow:

  _target_: flow_modules.aiflows.VectorStoreFlowModule.VectorStoreFlow.instantiate_from_default_config
  backend:
    _target_: aiflows.backends.llm_lite.LiteLLMBackend
    api_infos: ???
    model_name: "" #Not used in current implementation
  
